Bug 1402775 - python-trollius - Missing requires on python-six
Summary: python-trollius - Missing requires on python-six
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-trollius
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian Wienand
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-08 10:23 UTC by fszymanski
Modified: 2017-03-14 02:20 UTC (History)
5 users (show)

Fixed In Version: python-trollius-2.1-4.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-13 23:54:01 UTC


Attachments (Terms of Use)

Description fszymanski 2016-12-08 10:23:43 UTC
Description of problem:
Trollius depends on six compatibility library. It is easy to miss on the desktop but koji does not install the python-six package automatically. I tried to add tests to the new python-neovim package (which requires python-trollius) but koji builds are failing because python-trollius is missing the python-six dependency.

Comment 1 Andreas Schneider 2017-02-01 08:58:36 UTC
Ping!

Comment 2 Fedora Update System 2017-02-07 03:17:46 UTC
python-trollius-2.1-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f5de5d3eaf

Comment 3 Fedora Update System 2017-02-07 03:28:01 UTC
python-trollius-2.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-77e7515990

Comment 4 Ian Wienand 2017-02-07 03:30:13 UTC
Sorry for the delay, I've pushed updates for this to rawhide, f25 & epel7

Comment 5 fszymanski 2017-02-07 07:34:24 UTC
Thanks.

Comment 6 Fedora Update System 2017-02-08 03:48:41 UTC
python-trollius-2.1-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f5de5d3eaf

Comment 7 Fedora Update System 2017-02-09 09:20:01 UTC
python-trollius-2.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-77e7515990

Comment 8 Fedora End Of Life 2017-02-28 10:44:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Fedora Update System 2017-03-13 23:54:01 UTC
python-trollius-2.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-03-14 02:20:23 UTC
python-trollius-2.1-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.